- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Eina_File_Map Struct Reference
Eina » Tools » File

This represents a memory mapped region of a file. More...

## Data Fields
void * | map
| A pointer to the mapped region.
unsigned long int | offset
| The offset in the file.
unsigned long int | length
| The length of the region.
int | refcount
| Tracks references to this region.
Eina_Bool | hugetlb: 1
| Indicates if we are using HugeTLB.
Eina_Bool | faulty: 1
| Indicates if this region was not mapped correctly (i.e. More...

## Detailed Description

This represents a memory mapped region of a file.

## Field Documentation

Eina_Bool _Eina_File_Map::faulty

Indicates if this region was not mapped correctly (i.e.

the call to mmap(2) failed).

Referenced by eina_file_map_faulted().